TOLOWER(3)

NAME
tolower, _tolower - upper case to lower case letter conversion

SYNOPSIS
#include <ctype.h>
int
tolower(int c);
int
_tolower(int c);

DESCRIPTION
The tolower() function converts an upper-case letter to the corresponding lower-case letter. The _tolower() function is identical to tolower() except that c must be an upper-case letter.

RETURN VALUES
If the argument to the tolower() function is an upper-case letter, the corresponding lower-case letter is returned if there is one; otherwise the argument is returned unchanged. If the argument to the _tolower() function is an upper-case letter, the corresponding lower-case letter is returned; otherwise the output is undefined.

SEE ALSO
isalnum(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), toupper(3), ascii(7)

STANDARDS
The tolower() and _tolower() functions conform to ansiC.

CAVEATS
The argument to tolower must be EOF or representable as an unsigned char; otherwise, the result is undefined.